;;; orgweb.el --- Helper functions for maintaining my site

;; Author: Tom Willemsen <tom@ryuslash.org>
;; Created: Jul 1, 2012
;; Version: 1

;;; Commentary:

;; Just for personal use really. Of course, feel free to use any or
;; all parts of this file.

;;; Code:

;;;###autoload
(define-skeleton orgweb-new-project
  "A skeleton for creating a new project page for my site."
  ""
  '(find-file (concat "~/code/projects/orgweb/site/projects/"
                      (downcase (setq orgweb-project-name
                                      (skeleton-read "Title: ")))
                      ".org"))
  "#+TITLE: " orgweb-project-name "\n"
  "#+LINK_UP: " (setq orgweb-link-up (skeleton-read "Up: ")) "\n"
  "#+LINK_HOME: " (setq orgweb-link-home (skeleton-read "Home: ")) "\n"
  "#+LINK: src https://github.com/ryuslash/" (downcase orgweb-project-name) "\n"
  "#+LINK: tar_gz https://github.com/ryuslash/" (downcase orgweb-project-name) "/tarball/master\n"
  "#+LINK: zip https://github.com/ryuslash/" (downcase orgweb-project-name) "/zipball/master\n"
  "#+STARTUP: showall\n"
  "\n"
  "#+begin_html\n"
  "  <script src=\"/keyjs.js\" type=\"text/javascript\"></script>\n"
  "  <script type=\"text/javascript\">\n"
  "    keyjs_initialize({ \"u\": [ \"keyjs_goto\", \"" orgweb-link-up "\" ],\n"
  "                       \"h\": [ \"keyjs_goto\", \"" orgweb-link-home "\" ] });\n"
  "  </script>\n"
  "#+end_html\n"
  "\n"
  "#+include: \"dlmenu.inc\"\n"
  "\n"
  "* About\n"
  "\n"
  "  " _ "\n"
  "\n"
  "** Features\n"
  "\n"
  "   - \n"
  "\n"
  "** Requirements\n"
  "\n"
  "   - \n"
  "\n"
  "* Usage\n"
  "\n"
  "  ")

(provide 'orgweb)

;;; orgweb.el ends here
